<?php
/*
Plugin Name: iWorks add more file types
Plugin URI: http://iworks.pl/
Description: Add some file types to allowed: zip, csv, swf...
Version: trunk
Author: Marcin Pietrzak
Author URI: http://iworks.pl/
License: GNU GPL
*/


add_filter( 'upload_mimes', 'iworks_custom_upload_mimes' );
function iworks_custom_upload_mimes ( $existing_mimes=array() )
{
    $existing_mimes['gzip'] = 'application/x-gzip';
    $existing_mimes['gz']   = 'application/x-gzip';
    $existing_mimes['zip']  = 'application/zip';
    $existing_mimes['csv']  = 'text/csv';
    $existing_mimes['swf']  = 'application/x-shockwave-flash';
    return $existing_mimes;
}
